package net.northking.cctp.platform.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @Description: TODO
 * @Author: baoxt
 * @@CreateDate: 2023-08-31
 */
@Configuration
@ConfigurationProperties(prefix = "cctp.task.sync")
public class TaskSyncConfig {
    private String userSyncCron;

    private String orgSyncCron;

    private String tenantId;

    private String defaultOrg;

    private String testTeamCron;

    public String getUserSyncCron() {
        return userSyncCron;
    }

    public void setUserSyncCron(String userSyncCron) {
        this.userSyncCron = userSyncCron;
    }

    public String getOrgSyncCron() {
        return orgSyncCron;
    }

    public void setOrgSyncCron(String orgSyncCron) {
        this.orgSyncCron = orgSyncCron;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getDefaultOrg() {
        return defaultOrg;
    }

    public void setDefaultOrg(String defaultOrg) {
        this.defaultOrg = defaultOrg;
    }

    public String getTestTeamCron() {
        return testTeamCron;
    }

    public void setTestTeamCron(String testTeamCron) {
        this.testTeamCron = testTeamCron;
    }
}
